PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Public Attributes | List of all members
PThreadPool< Work_T >::InternalWork Class Reference

`#include <threadpool.h>`

Inherits InternalWorkBase.

Collaboration diagram for PThreadPool< Work_T >::InternalWork:
[legend]

## Public Member Functions
| InternalWork (WorkerThread *worker, Work_T *work, const char *group)

## Public Attributes
WorkerThread * | m_worker
Work_T * | m_work

## Constructor & Destructor Documentation

template<class Work_T>

PThreadPool< Work_T >::InternalWork::InternalWork | ( | WorkerThread * | worker,
|  | Work_T * | work,
|  | const char * | group
| ) |  |
| inline

## Member Data Documentation

template<class Work_T>

Work_T* PThreadPool< Work_T >::InternalWork::m_work

template<class Work_T>

WorkerThread* PThreadPool< Work_T >::InternalWork::m_worker

Referenced by PThreadPool< Work_T >::RemoveWork().

The documentation for this class was generated from the following file:

- threadpool.h